[SCM] libav/experimental: regtest: suppress console output from tests

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sun Jun 30 16:57:49 UTC 2013


The following commit has been merged in the experimental branch:
commit 16cd99bbed1f61a0a8a03a66913d88bae7c3dbfd
Author: Måns Rullgård <mans at mansr.com>
Date:   Sat Jan 16 20:17:55 2010 +0000

    regtest: suppress console output from tests
    
    This disables all console output from the *-regression.sh scripts by
    default.  If the V environment variable is set to 1, ffmpeg commands
    are printed before being run.  If V is greater than 1, ffmpeg output
    goes to the console, otherwise stderr is redirected to a file.
    
    Originally committed as revision 21253 to svn://svn.ffmpeg.org/ffmpeg/trunk

diff --git a/tests/lavf-regression.sh b/tests/lavf-regression.sh
index 7b97881..a23a58f 100755
--- a/tests/lavf-regression.sh
+++ b/tests/lavf-regression.sh
@@ -28,7 +28,7 @@ do_streamed_images()
 do_image_formats()
 {
     file=${outfile}lavf%02d.$1
-    echo $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
+    $echov $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
     $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
     do_md5sum ${outfile}lavf02.$1 >> $logfile
     do_ffmpeg_crc $file $3 -i $target_path/$file
diff --git a/tests/regression-funcs.sh b/tests/regression-funcs.sh
index 6c1191a..a89ab42 100755
--- a/tests/regression-funcs.sh
+++ b/tests/regression-funcs.sh
@@ -17,6 +17,7 @@ target_datadir="${target_path}/${datadir}"
 this="$test.$test_ref"
 logfile="$datadir/$this.regression"
 outfile="$datadir/${outfile_prefix}-"
+errfile="$datadir/$this.err"
 
 # various files
 ffmpeg="$target_exec ${target_path}/ffmpeg_g"
@@ -33,6 +34,9 @@ pcm_ref="$datadir/$test_ref.ref.wav"
 crcfile="$datadir/$this.crc"
 target_crcfile="$target_datadir/$this.crc"
 
+[ "${V-0}" -gt 0 ] && echov=echo || echov=:
+[ "${V-0}" -gt 1 ] || exec 2>$errfile
+
 if [ X"$(echo | md5sum 2> /dev/null)" != X ]; then
     do_md5sum() { md5sum -b $1; }
 elif [ X"$(echo | md5 2> /dev/null)" != X ]; then
@@ -50,7 +54,7 @@ do_ffmpeg()
     f="$1"
     shift
     set -- $* ${target_path}/$f
-    echo $ffmpeg $FFMPEG_OPTS $*
+    $echov $ffmpeg $FFMPEG_OPTS $*
     $ffmpeg $FFMPEG_OPTS -benchmark $* > $bench
     do_md5sum $f >> $logfile
     if [ $f = $raw_dst ] ; then
@@ -69,7 +73,7 @@ do_ffmpeg_nomd5()
     f="$1"
     shift
     set -- $* ${target_path}/$f
-    echo $ffmpeg $FFMPEG_OPTS $*
+    $echov $ffmpeg $FFMPEG_OPTS $*
     $ffmpeg $FFMPEG_OPTS -benchmark $* > $bench
     if [ $f = $raw_dst ] ; then
         $tiny_psnr $f $raw_ref >> $logfile
@@ -86,7 +90,7 @@ do_ffmpeg_crc()
 {
     f="$1"
     shift
-    echo $ffmpeg $FFMPEG_OPTS $* -f crc "$target_crcfile"
+    $echov $ffmpeg $FFMPEG_OPTS $* -f crc "$target_crcfile"
     $ffmpeg $FFMPEG_OPTS $* -f crc "$target_crcfile"
     echo "$f $(cat $crcfile)" >> $logfile
     rm -f "$crcfile"
@@ -96,7 +100,7 @@ do_ffmpeg_nocheck()
 {
     f="$1"
     shift
-    echo $ffmpeg $FFMPEG_OPTS $*
+    $echov $ffmpeg $FFMPEG_OPTS $*
     $ffmpeg $FFMPEG_OPTS -benchmark $* > $bench
     expr "$(cat $bench)" : '.*utime=\(.*s\)' > $bench2
     echo $(cat $bench2) $f >> $benchfile

-- 
Libav/FFmpeg packaging



More information about the pkg-multimedia-commits mailing list